
Foreman - Refactor #390

Ensure that a user account is always selected

09/29/2010 01:46 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Authentication   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Later revisions of the foreman code base require that there is always a user account associated with the current session. If logins are

enabled then the account is obviously the user's account. If logins are disabled then all activity is associated with the built-in admin

account.

Related issues:

Blocks Foreman - Feature #332: Provide a notification mechanism Closed

Associated revisions

Revision f5df7d44 - 10/03/2010 03:07 PM - Paul Kelly

Fixes #390 - A user account is always associated with a session

History

#1 - 09/29/2010 02:57 PM - Paul Kelly

- Status changed from New to Feedback

- Branch set to refactor/390-user-always-selected

#2 - 09/30/2010 01:27 PM - Paul Kelly

Updated to comply with Ohad's requests and tested some more

#3 - 10/03/2010 03:10 PM - Ohad Levy

- Target version set to 0.1-6

#4 - 10/03/2010 03:10 PM - Paul Kelly

- Status changed from Feedback to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset f5df7d44a50b8df18df9d8adedc9a5d539c23aa0.

#5 - 10/04/2010 09:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Powered by TCPDF (www.tcpdf.org)

05/14/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f5df7d44a50b8df18df9d8adedc9a5d539c23aa0
http://www.tcpdf.org

